﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EDR
{
    public partial class Form1 : Form
    {

        Form2 pForm2 = new Form2();

        public Form1()
        {
            InitializeComponent();
        }

        private void btSettings_Click(object sender, EventArgs e)
        {
            if(btDE.Visible == true)
            {
                Size = new System.Drawing.Size(194, 373);
                btDE.Visible = false;
            }
            else
            {
                Size = new System.Drawing.Size(530, 373);
                btDE.Visible = true;
            }
            
        }

        private void btOkay_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.IP = tbIP.Text;
            Properties.Settings.Default.Save();

        }


        private void Form1_Load(object sender, EventArgs e)
        {
            if(Properties.Settings.Default.IP == "-")
            {
                MessageBox.Show(Properties.Settings.Default.NoIP, "", MessageBoxButtons.OK);
                btAn1.Text = Properties.Settings.Default.An;
                btAn2.Text = Properties.Settings.Default.An;
                btAn3.Text = Properties.Settings.Default.An;
                btAn4.Text = Properties.Settings.Default.An;
                btAus1.Text = Properties.Settings.Default.Aus;
                btAus2.Text = Properties.Settings.Default.Aus;
                btAus3.Text = Properties.Settings.Default.Aus;
                btAus4.Text = Properties.Settings.Default.Aus;
                btOkay.Text = Properties.Settings.Default.Okay;
                btClear.Text = Properties.Settings.Default.Clear;
                lbR1.Text = Properties.Settings.Default.R1;
                lbR2.Text = Properties.Settings.Default.R2;
                lbR3.Text = Properties.Settings.Default.R3;
                lbR4.Text = Properties.Settings.Default.R4;
            }
            else
            {
                lbIP.Text = Properties.Settings.Default.IP;
                btAn1.Text = Properties.Settings.Default.An;
                btAn2.Text = Properties.Settings.Default.An;
                btAn3.Text = Properties.Settings.Default.An;
                btAn4.Text = Properties.Settings.Default.An;
                btAus1.Text = Properties.Settings.Default.Aus;
                btAus2.Text = Properties.Settings.Default.Aus;
                btAus3.Text = Properties.Settings.Default.Aus;
                btAus4.Text = Properties.Settings.Default.Aus;
                btOkay.Text = Properties.Settings.Default.Okay;
                btClear.Text = Properties.Settings.Default.Clear;
                lbR1.Text = Properties.Settings.Default.R1;
                lbR2.Text = Properties.Settings.Default.R2;
                lbR3.Text = Properties.Settings.Default.R3;
                lbR4.Text = Properties.Settings.Default.R4;
            }
        }

        private void btDE_Click(object sender, EventArgs e)
        {
            pbInfo.Image = Properties.Resources.App_DE;
            pbInfo.SizeMode = PictureBoxSizeMode.StretchImage;
            Properties.Settings.Default.R1 = "Relais 1:";
            Properties.Settings.Default.R2 = "Relais 2:";
            Properties.Settings.Default.R3 = "Relais 3:";
            Properties.Settings.Default.R4 = "Relais 4:";
            Properties.Settings.Default.An = "An";
            Properties.Settings.Default.Aus = "Aus";
            Properties.Settings.Default.Clear = "Löschen";
            Properties.Settings.Default.Okay = "Okay";
            Properties.Settings.Default.IPAdress = "IP-Adresse:";
            Properties.Settings.Default.NoIP = "Bitte IP-Adresse in den Einstellungen setzen!";
            MessageBox.Show("Bitte starten Sie das Programm neu.", "", MessageBoxButtons.OK);
            Properties.Settings.Default.Save();
        }

        private void btEN_Click(object sender, EventArgs e)
        {
            pbInfo.Image = Properties.Resources.App_EN;
            pbInfo.SizeMode = PictureBoxSizeMode.StretchImage;
            Properties.Settings.Default.R1 = "Relay 1:";
            Properties.Settings.Default.R2 = "Relay 2:";
            Properties.Settings.Default.R3 = "Relay 3:";
            Properties.Settings.Default.R4 = "Relay 4:";
            Properties.Settings.Default.An = "On";
            Properties.Settings.Default.Aus = "Off";
            Properties.Settings.Default.Clear = "Clear";
            Properties.Settings.Default.Okay = "Okay";
            Properties.Settings.Default.IPAdress = "IP-Adress:";
            Properties.Settings.Default.NoIP = "Please enter IP-Adress in the settings!";
            MessageBox.Show("Please restart the program.", "", MessageBoxButtons.OK);
            Properties.Settings.Default.Save();
        }

        private void btSP_Click(object sender, EventArgs e)
        {
            pbInfo.Image = Properties.Resources.App_SP;
            pbInfo.SizeMode = PictureBoxSizeMode.StretchImage;
            Properties.Settings.Default.R1 = "Relé 1:";
            Properties.Settings.Default.R2 = "Relé 2:";
            Properties.Settings.Default.R3 = "Relé 3:";
            Properties.Settings.Default.R4 = "Relé 4:";
            Properties.Settings.Default.An = "Encender";
            Properties.Settings.Default.Aus = "Desactivar";
            Properties.Settings.Default.Clear = "Borrar";
            Properties.Settings.Default.Okay = "Bueno";
            Properties.Settings.Default.IPAdress = "Dirección IP:";
            Properties.Settings.Default.NoIP = "¡Marque esta dirección IP en la configuración!";
            MessageBox.Show("Por favor, reinicie el programa.", "", MessageBoxButtons.OK);
            Properties.Settings.Default.Save();
        }

        private void btClear_Click(object sender, EventArgs e)
        {
            tbIP.Text = "";
        }

        private void btAn1_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=OFF"));
        }

        private void btAn2_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=OFF2"));
        }

        private void btAn3_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=OFF3"));
        }

        private void btAn4_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=OFF4"));
        }

        private void btAus1_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=ON"));
        }

        private void btAus2_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=ON2"));
        }

        private void btAus3_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=ON3"));
        }

        private void btAus4_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(new Uri("http://" + Properties.Settings.Default.IP + "/?pin=ON4"));
        }

        private void btSW_Click(object sender, EventArgs e)
        {
            this.Hide();
            pForm2.Show();
        }
    }
}
